import React, { ReactElement } from 'react';
import { SVGProps } from 'react';

export type Sizes = 14 | 16 | 20 | 24 | 28 | 32 | 40;
export type IconProps = SVGProps<SVGSVGElement> & {
  component: ReactElement<any>;
  size?: Sizes;
};

export const Icon: React.FC<IconProps> = ({ component, size = 24, ...props }) => {
  if (!component) {
    console.error(`No icon found`);
    return <div></div>;
  }

  return <div>{React.cloneElement(component, { style: { fontSize: size }, width: size, height: size, ...props })}</div>;
};

export default Icon;
