import React, { useEffect } from 'react';
import ReactJSONView from 'react-json-view';
import { VisualizationPropTypes, VISComponentType } from '../../types';
import { GraphMetaData } from '@graphpolaris/shared/lib/data-access/statistics';

export interface RawJSONVisProps {}

const configuration: RawJSONVisProps = {};

export const RawJSONVis = React.memo(({ data }: VisualizationPropTypes) => {
  return (
    <div>
      <div style={{ overflowY: 'auto' }}>
        <div
          style={{
            marginTop: '50px',
            paddingLeft: '30px',
          }}
          className="font-mono text-sm"
        >
          <ReactJSONView src={data} collapsed={1} quotesOnKeys={false} displayDataTypes={false} />
        </div>
      </div>
    </div>
  );
});

const RawJSONSettings = ({
  configuration,
  graph,
  updateSettings,
}: {
  configuration: RawJSONVisProps;
  graph: GraphMetaData;
  updateSettings: (val: any) => void;
}) => {
  return <div>To be implemented</div>;
};

export const RawJSONComponent: VISComponentType = {
  displayName: 'RawJSONVis',
  component: RawJSONVis,
  settings: RawJSONSettings,
  configuration: configuration,
};
export default RawJSONComponent;
